Bug 32148 - Pull to refresh hides the first item on a list view when setting HasUnevenRows = True
Summary: Pull to refresh hides the first item on a list view when setting HasUnevenRow...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 1.4.4
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Rui Marinho
URL:
Depends on:
Blocks:
 
Reported: 2015-07-20 12:16 UTC by Cody Beyer (MSFT)
Modified: 2015-08-06 11:23 UTC (History)
2 users (show)

Tags: ac pulltorefresh listview
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Cody Beyer (MSFT) 2015-07-20 12:16:00 UTC
### Description

The following app has a long list. When doing a pull to refresh, the first item in the list is obscured by the nav bar, upon completion of the refresh

### Sample

https://www.dropbox.com/s/sa4ddkq8gywzt5v/Demo.zip?dl=0

### Video

https://www.dropbox.com/s/xynvz79fuaatqaa/PullToHide.mov?dl=0

### Steps to Reproduce

1. Download the sample
2. Deploy to iOS Simulator
3. Pull to refresh

### Expected Results

The top item of the list should not be obscured

### Actual Results

The top item of the list (customer 0) is obscured

### Version

=== Xamarin Studio ===

Version 5.9.5 (build 5)
Installation UUID: 14e9db9d-4a59-440f-8c5b-890f54ec8c58
Runtime:
	Mono 4.0.3 ((detached/429313d)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 400030013

=== Apple Developer Tools ===

Xcode 6.4 (7720)
Build 6E35b

=== Xamarin.iOS ===

Version: 8.10.4.10 (Business Edition)
Hash: c57a2c7
Branch: master
Build date: 2015-07-09 15:56:39-0400

=== Xamarin.Android ===

Version: 5.1.5.2 (Business Edition)
Android SDK: /Users/codybeyer/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		2.3   (API level 10)
		4.0.3 (API level 15)
		4.4   (API level 19)
		5.0   (API level 21)
Java SDK: /usr
java version "1.7.0_71"
Java(TM) SE Runtime Environment (build 1.7.0_71-b14)
Java HotSpot(TM) 64-Bit Server VM (build 24.71-b01, mixed mode)

=== Xamarin Android Player ===

Version: Unknown version
Location: /Applications/Xamarin Android Player.app

=== Xamarin.Mac ===

Version: 2.0.2.84 (Business Edition)

=== Build Information ===

Release ID: 509050005
Git revision: 8d5aa047f336e5129fff1b174a972021b087bd76
Build date: 2015-07-14 16:37:43-04
Xamarin addins: 3bc005cd1e150ae5f206c1cf76164f47f2f2b62c

=== Operating System ===

Mac OS X 10.10.4
Darwin Codys-Macintosh.local 14.4.0 Darwin Kernel Version 14.4.0
    Thu May 28 11:35:04 PDT 2015
    root:xnu-2782.30.5~1/RELEASE_X86_64 x86_64
Comment 1 Rui Marinho 2015-07-20 13:53:33 UTC
Seems to only happen when HasUnevenRows = True
Comment 2 Rui Marinho 2015-07-30 06:47:30 UTC
Should be fixed in 1.4.5-pre1
Comment 3 Parmendra Kumar 2015-08-06 11:23:02 UTC
I have checked this issue with X.F 1.5.0-pre1 and its working fine at my end.


Hence closing this issue.